Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » WTP 1.0.2: Problems to get "old" Dynamic Web Project running
WTP 1.0.2: Problems to get "old" Dynamic Web Project running [message #168706] Sat, 06 May 2006 07:35 Go to next message
Thomas Sch is currently offline Thomas SchFriend
Messages: 3
Registered: July 2009
Junior Member
Hi,

after de-installing (!!! JAVA_HOME, default-JRE, etc. was all on 5.0!)
my JRE 1.4.2, I was finally able to set the project facet to "Java 5.0",
which where I've got the right stuff into the "JRE System Library".

But now I hang completely:

How to get the tomcat5.5 libs into the "Server Classpath Container" in
WTP 1.0.2?

Tomcat 5.5 is configured, the "Server-Property" is set to it, and I even
tried to add the project to the server, but the "Server Classpath
Container" is still empty (and so the project shows just errors).

Here's my actual .classpath:

<classpath>
<classpathentry kind="src" path="src"/>
<classpathentry kind="con"
path="org.eclipse.jst.j2ee.internal.web.container"/>
<classpathentry kind="con"
path=" org.eclipse.jst.server.core.container/org.eclipse.jst.server .tomcat.runtimeTarget/Apache
Tomcat v5.5"/>
<classpathentry kind="con"
path=" org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.inte rnal.debug.ui.launcher.StandardVMType/jdk1.5.0_06 "/>
<classpathentry kind="output" path="build/classes"/>
</classpath>

What can I do to get the project running also on WTP 1.0.2?

Many thanks in advance,
Thomas
Re: WTP 1.0.2: Problems to get "old" Dynamic Web Project running [message #168725 is a reply to message #168706] Sat, 06 May 2006 15:20 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: fabio.grassi.generalisi.it

Try both these things (I'm not kidding) that worked for me when I had
similar problems:

1) In the Java Build Path / Library tab remove the library named "Tomcat
v5.5 runtime", confirm, exit, reenter, click "Add library", choose the
same library, confirm and exit with your fingers crossed.

2) Right-click on your project, choose "Close project" and then reopen it.

Don't ask me why, but these two things made the trick for me more than
once.

Good luck, ciao, Fabio.
Re: WTP 1.0.2: Problems to get "old" Dynamic Web Project running [message #168759 is a reply to message #168725] Sun, 07 May 2006 05:57 Go to previous message
Thomas Sch is currently offline Thomas SchFriend
Messages: 3
Registered: July 2009
Junior Member
many thanks for the answer,

but that doesn't work anymore, I dont even get it if i create a new
Dynamic Web Project :(

(but i did a similar thing in older versions, when WTP didn't take over
the Web App Libraries properly :)

Do I really have to step back ?


> Try both these things (I'm not kidding) that worked for me when I had
> similar problems:
>
> 1) In the Java Build Path / Library tab remove the library named "Tomcat
> v5.5 runtime", confirm, exit, reenter, click "Add library", choose the
> same library, confirm and exit with your fingers crossed.
>
> 2) Right-click on your project, choose "Close project" and then reopen it.
>
> Don't ask me why, but these two things made the trick for me more than
> once.
>
> Good luck, ciao, Fabio.
>
Previous Topic:WebContent is not getting updated...
Next Topic:where wtp put the translated jsp java file
Goto Forum:
  


Current Time: Mon Dec 22 22:08:30 GMT 2014

Powered by FUDForum. Page generated in 0.04343 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software